From: Dylan Yudaken <[email protected]>
To: <[email protected]>
Cc: <[email protected]>, <[email protected]>, <[email protected]>,
Dylan Yudaken <[email protected]>
Subject: [PATCH liburing 6/7] test: add make targets for each test
Date: Fri, 22 Apr 2022 04:48:14 -0700 [thread overview]
Message-ID: <[email protected]> (raw)
In-Reply-To: <[email protected]>
Add a make target runtests-parallel which can run tests in parallel.
This is very useful to quickly run all the tests locally with
$ make -j runtests-parallel
Signed-off-by: Dylan Yudaken <[email protected]>
---
test/Makefile | 10 +++++++++-
test/runtests-quiet.sh | 10 ++++++++++
2 files changed, 19 insertions(+), 1 deletion(-)
create mode 100755 test/runtests-quiet.sh
diff --git a/test/Makefile b/test/Makefile
index cb7e15e..fe35ff9 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -185,6 +185,7 @@ all_targets += sq-full-cpp.t
test_targets := $(patsubst %.c,%,$(test_srcs))
test_targets := $(patsubst %.cc,%,$(test_targets))
+run_test_targets := $(patsubst %,%.run_test,$(test_targets))
test_targets := $(patsubst %,%.t,$(test_targets))
all_targets += $(test_targets)
@@ -229,4 +230,11 @@ runtests: all
runtests-loop: all
@./runtests-loop.sh $(test_targets)
-.PHONY: all install clean runtests runtests-loop
+%.run_test: %.t
+ @./runtests-quiet.sh $<
+
+runtests-parallel: $(run_test_targets)
+ @echo "All tests passed"
+
+.PHONY: all install clean runtests runtests-loop runtests-parallel
+.PHONY += $(run_test_targets)
diff --git a/test/runtests-quiet.sh b/test/runtests-quiet.sh
new file mode 100755
index 0000000..ba9fe2b
--- /dev/null
+++ b/test/runtests-quiet.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+TESTS=("$@")
+RESULT_FILE=$(mktemp)
+./runtests.sh "${TESTS[@]}" 2>&1 > $RESULT_FILE
+RET="$?"
+if [ "${RET}" -ne 0 ]; then
+ cat $RESULT_FILE
+fi
+rm $RESULT_FILE
--
2.30.2
next prev parent reply other threads:[~2022-04-22 11:48 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-22 11:48 [PATCH liburing 0/7] run tests in parallel Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 1/7] test: handle mmap return failures in pollfree test Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 2/7] test: use unique path for socket Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 3/7] test: use unique ports Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 4/7] test: use unique filenames Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 5/7] test: mkdir -p output folder Dylan Yudaken
2022-04-22 11:48 ` Dylan Yudaken [this message]
2022-04-22 13:40 ` [PATCH liburing 6/7] test: add make targets for each test Ammar Faizi
2022-04-22 14:14 ` Dylan Yudaken
2022-04-22 11:48 ` [PATCH liburing 7/7] test: use remove_buffers instead of nop to generate error codes Dylan Yudaken
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
[email protected] \
[email protected] \
[email protected] \
[email protected] \
[email protected] \
[email protected] \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox